Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.utilities
Class NameValuePair

    java.lang.Object
      |
      +--oracle.apps.cz.utilities.NameValuePair

public class NameValuePair
extends java.lang.Object

Provides a name-value pair object combination. The name cannot be changed once created.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Constructor Summary
`NameValuePair(java.lang.String key)` Constructs a name-value pair object without a value.
`NameValuePair(java.lang.String key, java.lang.Object value)` Constructs a name-value pair object.

Method Summary
`java.lang.String` | `getName()` Retrieve the name (key).
`java.lang.Object` | `getValue()` Retrieve the value which can be null.
`void` | `setValue(java.lang.Object value)` Replaces the value for this pair.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### NameValuePair

    public NameValuePair(java.lang.String key,
                         java.lang.Object value)

  Constructs a name-value pair object. Key is always stored as a lowercase string, regardless of the case of the key parameter.
Parameters:
  `key` - - The String name(key) for this pair. String cannot be null or have only whitespace.
  `value` - - The Object for this pair.

### NameValuePair

    public NameValuePair(java.lang.String key)

  Constructs a name-value pair object without a value. Key is always stored as a lowercase string, regardless of the case of the key parameter.
Parameters:
  `key` - - The String name(key) for this pair.

Method Detail

### getName

    public java.lang.String getName()

  Retrieve the name (key). Will always be lowercase.

### getValue

    public java.lang.Object getValue()

  Retrieve the value which can be null.

### setValue

    public void setValue(java.lang.Object value)

  Replaces the value for this pair.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.